=== modified file 'hooks/nova-cloud-controller-relations'
--- hooks/nova-cloud-controller-relations	2013-02-21 23:12:04 +0000
+++ hooks/nova-cloud-controller-relations	2013-03-05 00:02:41 +0000
@@ -77,6 +77,17 @@
 
   determine_services
   service_ctl all restart
+
+  # Save our scriptrc env variables for health checks
+  declare -a env_vars=(
+      "OPENSTACK_PORT_MCASTPORT=$(config-get ha-mcastport)"
+      'OPENSTACK_SERVICE_API_EC2=nova-api-ec2'
+      'OPENSTACK_SERVICE_API_OS_COMPUTE=nova-api-os-compute'
+      'OPENSTACK_SERVICE_CERT=nova-cert'
+      'OPENSTACK_SERVICE_CONDUCTOR=nova-conductor'
+      'OPENSTACK_SERVICE_OBJECTSTORE=nova-objectstore'
+      'OPENSTACK_SERVICE_SCHEDULER=nova-scheduler'
+  save_script_rc ${env_vars[@]}
 }
 
 function amqp_joined {

=== modified file 'revision'
--- revision	2013-02-21 23:13:13 +0000
+++ revision	2013-03-05 00:02:41 +0000
@@ -1,1 +1,1 @@
-212
+213

=== added directory 'scripts'
=== added file 'scripts/add_to_cluster'
--- scripts/add_to_cluster	1970-01-01 00:00:00 +0000
+++ scripts/add_to_cluster	2013-03-05 00:02:41 +0000
@@ -0,0 +1,2 @@
+#!/bin/bash
+crm node online

=== added directory 'scripts/health_checks.d'
=== added file 'scripts/health_checks.d/service_ports_live'
--- scripts/health_checks.d/service_ports_live	1970-01-01 00:00:00 +0000
+++ scripts/health_checks.d/service_ports_live	2013-03-05 00:02:41 +0000
@@ -0,0 +1,13 @@
+#!/bin/bash
+# Validate that service ports are active
+HEALTH_DIR=`dirname $0`
+SCRIPTS_DIR=`dirname $HEALTH_DIR`
+. $SCRIPTS_DIR/scriptrc
+set -e
+
+# Grab any OPENSTACK_PORT* environment variables
+openstack_ports=`env| awk -F '=' '(/OPENSTACK_PORT/){print $2}'`
+for port in $openstack_ports
+do
+    netstat -ln | grep -q $port
+done

=== added file 'scripts/health_checks.d/service_running'
--- scripts/health_checks.d/service_running	1970-01-01 00:00:00 +0000
+++ scripts/health_checks.d/service_running	2013-03-05 00:02:41 +0000
@@ -0,0 +1,13 @@
+#!/bin/bash
+# Validate that service is running
+HEALTH_DIR=`dirname $0`
+SCRIPTS_DIR=`dirname $HEALTH_DIR`
+. $SCRIPTS_DIR/scriptrc
+set -e
+
+# Grab any OPENSTACK_SERVICE* environment variables
+openstack_service_names=`env| awk -F '=' '(/OPENSTACK_SERVICE/){print $2}'`
+for service_name in $openstack_service_names
+do
+    service $service_name status 2>/dev/null | grep -q running
+done

=== added file 'scripts/remove_from_cluster'
--- scripts/remove_from_cluster	1970-01-01 00:00:00 +0000
+++ scripts/remove_from_cluster	2013-03-05 00:02:41 +0000
@@ -0,0 +1,2 @@
+#!/bin/bash
+crm node standby

